﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="ViewGridJQuery.ascx.vb" Inherits="WillStrohl.Modules.QueryToGrid.ViewGridJQuery" %>
<p class="NormalRed"><%=Me.GetLocalizedString("SecurityWarning.Text")%></p>
<p id="pNav">
    <asp:LinkButton ID="lnkGridDefault" runat="server" CssClass="CommandButton" CausesValidation="false" /> &raquo; 
    <asp:LinkButton ID="lnkGridPartialRendering" runat="server" CssClass="CommandButton" CausesValidation="false" /> &raquo;  
    <asp:LinkButton ID="lnkGridJQuery" runat="server" CssClass="CommandButton" CausesValidation="false" /> &raquo; 
    <asp:LinkButton ID="lnkTelerik" runat="server" CssClass="CommandButton" CausesValidation="false" />
</p>
<p><%=Me.GetLocalizedString("jQueryGridSource.Text")%></p>
<div id="divQuery">
    <span class="SubHead"><%=Me.GetLocalizedString("lblQuery.Text")%></span><br />
    <textarea id="txtQuery" cols="30" rows="8" class="wns_textarea"></textarea><br />
    <a id="cmdSubmit" href="javascript:void(0);" class="CommandButton"><%=Me.GetLocalizedString("cmdSubmit.Text")%></a><br />
    <span class="SubHead"><%=Me.GetLocalizedString("lblOriginalPageLoad.Text")%></span>: <asp:Label ID="lblOriginalPageLoadTime" runat="server" CssClass="Normal" />&nbsp; 
    <span class="SubHead"><%=Me.GetLocalizedString("lblPageLoad.Text")%></span>: <asp:Label ID="lblPageLoadTime" runat="server" CssClass="Normal" />&nbsp; 
    <a id="lnkUpdateTime" href="javascript:void(0);" class="CommandButton"><%=Me.GetLocalizedString("lnkUpdateTime.Text")%></a>
</div>
<div id="divGrid">
    <!-- The dynamic grid will go here -->
</div>
<p><a id="lnkRemoteContent" href="javascript:void(0);" class="CommandButton"><%=Me.GetLocalizedString("lnkRemoteContent.Text")%></a>
    <a id="lnkRemoveContent" href="javascript:void(0);" class="CommandButton"><%=Me.GetLocalizedString("lnkRemoveContent.Text")%></a></p>
<div id="divRemoteContent"></div>
<div id="errNoQuery"><%=Me.GetLocalizedString("ErrorMessage.NoQuery")%></div>
<script language="javascript" type="text/javascript">/*<![CDATA[*/
    var query = null;
    var ajaxUrl = '<%=Me.AjaxUrl%>';
    var timeUrl = '<%=Me.TimeHandlerUrl%>';
    var remoteContentUrl = 'http://dnn510.loc/Gallery.aspx #dnn_ctr375_ContentPane';
    var msgNoQuery = null;
    var headerQuery = null;
    var dataQuery = null;

    jQuery(document).ready(function (){
    
        msgNoQuery = jQuery('#errNoQuery');

        // use jQuery UI dialog for an error message
        var options = { autoOpen: false, title: '<%=Me.GetLocalizedString("Dialog.Title").Replace("'", "\'")%>', bgiframe: true, modal: true, draggable: false, resizable: false, buttons: { '<%=Me.GetLocalizedString("Dialog.Okay")%>': function() { jQuery(this).dialog('close'); } } };
        msgNoQuery.dialog(options);

        // wire up the time update events and objects
        prepTimeEvents();

        // wire up the remote content events and objects
        prepRemoteContent();
        
        // apply a click event to the submit link to load our client-side grid
        jQuery('#cmdSubmit').live('click', function (){
        
            if (jQuery('#txtQuery').val() == '') {
                msgNoQuery.dialog('open');
            } else {
                // load the query into a local object, and URL encode it
                query = encodeURIComponent(jQuery('#txtQuery').val());
                
                // build out the url to where the data is located
                headerQuery = ajaxUrl + '?q=' + query + '&ib=true&f=table';
                
                // only needed if we perform a server-side processing grid
                //dataQuery = ajaxUrl + '?q=' + query + '&f=json';
                
                // self-explanatory
                loadGrids();
            }
            
        });
        
    });
    
    function loadGrids() {
        // Step 1.
        // load the table using AJAX
        jQuery('#divGrid').load(headerQuery, null, formatGrids);
    }
    
    function formatGrids() {

        var options = { 'bJQueryUI': true, 'sPaginationType': 'full_numbers' };

        // Step 2.
        // apply the jQuery grid plugin
        jQuery('#tblGrid, table.tbl').dataTable( options );
    }
    
    function prepTimeEvents(){
        jQuery('#lnkUpdateTime').live('click', function (){
            jQuery('#<%=Me.lblPageLoadTime.ClientId%>').load(timeUrl);
        });
    }
    
    function prepRemoteContent(){
        jQuery('#lnkRemoveContent').hide();
    
        // adds remote content to a div
        jQuery('#lnkRemoteContent').live('click', function (){
            jQuery('#divRemoteContent').load(remoteContentUrl);
            
            jQuery('#lnkRemoteContent').hide();
            jQuery('#lnkRemoveContent').show();
        });
        
        // empties the div of the remote content
        jQuery('#lnkRemoveContent').live('click', function (){
            jQuery('#divRemoteContent').html('');
            
            jQuery('#lnkRemoteContent').show();
            jQuery('#lnkRemoveContent').hide();
        });
    }
/*]]>*/</script>